summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/fileop_test.sh
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrambk@gmail.com>2011-07-13 18:32:10 +0530
committerRaghavendra Bhat <raghavendrambk@gmail.com>2011-07-13 18:32:10 +0530
commitd0de625d5cf9a84840bdd2fa1a88b9614d428cb6 (patch)
tree78011ee5fd1571a1af0b80f4ef406f6d475b6bb3 /sanity/system_light/scripts/fileop_test.sh
parentbf87a7d06b054005040dad8dd7ac878210e8939f (diff)
sanity script for testing the functionality of filesystem
Diffstat (limited to 'sanity/system_light/scripts/fileop_test.sh')
-rwxr-xr-xsanity/system_light/scripts/fileop_test.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/fileop_test.sh b/sanity/system_light/scripts/fileop_test.sh
new file mode 100755
index 0000000..d99992c
--- /dev/null
+++ b/sanity/system_light/scripts/fileop_test.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+function main()
+{
+
+ echo "start:`date +%T`"
+ time fileop -f $FILEOP_CNT -t 2>>$LOG_FILE 1>>$LOG_FILE
+
+
+#in this example it creates 2 directories.In each directory 2 subdirectories are created and in each subdirectory 2 files are created.
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@"; \ No newline at end of file